# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class coletor_dispositivo(osv.Model):
    _name = 'coletor.dispositivo'

    def coldis_busca_produto_balanca(self, cr, uid, cb, context=None):
        context = context and context.copy() or {}
        retorno = {'erro': '', 'ret': {}}
        res = self.pool.get('estoquepedidos.pedido.capa').pedcap_busca_produto_balanca(cr, uid, cb, context)
        if isinstance(res, dict):
            retorno['erro'] = res.get('warning').get('message')
            return retorno

        vr_unitario = str(res[1])
        vr_unitario = vr_unitario.replace('.', ',')
        if vr_unitario[len(vr_unitario) - 2:len(vr_unitario) - 1] == ',':
            vr_unitario += '0'

        vr_total = str(res[2])
        vr_total = vr_total.replace('.', ',')
        if vr_total[len(vr_total) - 2:len(vr_total) - 1] == ',':
            vr_total += '0'

        retorno['ret'] = {'qtd': res[0],
                          'vr_unitario': vr_unitario,
                          'vr_total': vr_total,
                          'cb_id': res[3].id}
        return retorno
