# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
import subprocess
import os


class supervisor_producao_comanda_dispositivo(osv.Model):

    _name = 'supervisor.producao.comanda.dispositivo'

    def spcdis_imprimir(self, cr, uid, vals_impressora, arquivo, context=None):
        context = context and context.copy() or {}
        texto = '\n'.join(vals_impressora.get('texto'))
        obj_cmd = self.pool.get('supervisor.cad.comandos.impressoras')
        imp_ids = obj_cmd.search(cr, uid, [('state', '=', '2')], context=context)
        if not imp_ids and not vals_impressora.get('comando_id'):
            raise osv.except_osv(_('Atencao!'), _('Sem impressora ativa no cadastro de impressoras!'))

        vals_impressora.get('comando_id')
        cmd = obj_cmd.read(cr, uid, vals_impressora.get('comando_id') or imp_ids[0], [], context) or ''
        ini_negrito = '%s' % cmd.get('supcci_negrito_liga')
        fim_negrito = '%s' % cmd.get('supcci_negrito_desliga')
        fonte_i = cmd.get('supcci_fonte_liga')
        fonte_f = cmd.get('supcci_fonte_desliga')
        ini_sub = cmd.get('supcci_sub_liga')
        fim_sub = cmd.get('supcci_sub_desliga')
        corta_papel = '\n' + cmd.get('supcci_corta_papel')
        arquivo = '/tmp/' + arquivo
        parametros = self.pool.get('ir.config_parameter').get_param(cr, uid, 'supervisor.impressora.cozinha')
        if not parametros and not vals_impressora.get('comando_id'):
            self.pool.get('ir.config_parameter').set_param(cr, uid, 'supervisor.impressora.cozinha',
                                                           'USUARIO_UBUNTU;PORTA_DA_IMPRESSORA')
            raise osv.except_osv(('Atencao!'), ('Parametros de sistema da impressora nao configurados!'))
        try:
            parametros = parametros.split(';')
        except:
            raise osv.except_osv(('Atencao!'), ('Parametros de sistema da impressora estao incorretos!'))

        nome = cmd.get('supcci_marca') or ''
        if nome.upper() in ('ELGIN'):
            corta_papel = '\n\n' + corta_papel

        texto = (cmd.get('supcci_espacamento_linha') or '') + texto
        file = open(arquivo, 'w')
        file.write(texto.format(b1=ini_negrito,
                                b2=fim_negrito,
                                s1=ini_sub,
                                s2=fim_sub,
                                f1=fonte_i,
                                f2=fonte_f,
                                corta=corta_papel).decode('string_escape'))
        file.close()
        try:
            if vals_impressora.get('porta') or nome.upper() in ('ELGIN', 'EPSON'):
                os.system("echo %s | sudo -S chmod 776 %s; cat %s > %s" %
                          (parametros[0] or 'sig',
                           vals_impressora.get('porta') or parametros[1],
                           arquivo,
                           vals_impressora.get('porta') or parametros[1]))
            else:
                subprocess.call(["lp", "-o raw", "-n1", '-d%s' % vals_impressora.get('impressora'), arquivo])

        except Exception as e:
            return [0, '%s' % e]

        return [1, "Imprimiu"]